PojoMessageHandlerPartialText (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerPartialText

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<String>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialText

- All Implemented Interfaces:
    MessageHandler, MessageHandler.Partial<String>, WrappedMessageHandler

      public class PojoMessageHandlerPartialText
      extends PojoMessageHandlerPartialBase<String>

  Text specific concrete implementation for handling partial messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoMessageHandlerPartialText(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase

      `onMessage`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoMessageHandlerPartialText

          public PojoMessageHandlerPartialText(Object pojo,
                                               Method method,
                                               Session session,
                                               Object[] params,
                                               int indexPayload,
                                               boolean convert,
                                               int indexBoolean,
                                               int indexSession,
                                               long maxMessageSize)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.